## wpewebkit 2.26.3

=== debian/changelog ===
wpewebkit (2.26.3-1) unstable; urgency=high

  * New upstream release.
  * Build without the bubblewrap sandbox if the required dependencies are
    not available:
    + debian/rules:
      - Pass -DENABLE_BUBBLEWRAP_SANDBOX depending on whether libseccomp
        is installed.
      - Add runtime dependencies on bubblewrap and xdg-dbus-proxy
        conditionally to the status of ENABLE_BUBBLEWRAP_SANDBOX.
    + debian/control:
      - Don't require bubblewrap, xdg-dbus-proxy or libseccomp-dev in
        alpha, ia64, m68k, riscv64, sh4 or sparc64.
  * debian/patches/use-python3.patch:
    + The unversioned python interpreter (i.e. Python 2) is not installed
      by default anymore, so use Python 3 instead.
  * debian/control:
    + Remove build dependency on python.
    + Add build dependency on libwayland-dev.
    + Make libwpewebkit-1.0-dev depend on libwpe-1.0-dev.
    + Add Rules-Requires-Root: no.
  * debian/copyright:
    + Update copyright years.
  * debian/rules:
    + Don't use the Gold linker on powerpc (see #949618).
  * debian/patches/reduce-memory-overheads.patch:
    + Reduce memory usage when not using the Gold linker (see #949621).
  * debian/patches/fix-ftbfs-m68k.patch:
    + Fix m68k build (see #949660).

 -- Alberto Garcia <berto@igalia.com>  Thu, 23 Jan 2020 16:46:10 +0100

wpewebkit (2.26.2-1) experimental; urgency=medium

  * New upstream release.
  * Refresh all patches.
  * Update copyright information of all files.
  * The soname has been bumped from .2 to .3, so rename the packages and
    the references to the old value.
  * debian/source/lintian-overrides:
    + Update source-is-missing override.
  * debian/control:
    + Add build dependencies on bubblewrap, xdg-dbus-proxy and
      libseccomp-dev (for ENABLE_BUBBLEWRAP_SANDBOX) and libatk1.0-dev and
      libatk-bridge2.0-dev (for ENABLE_ACCESSIBILITY).
    + Update Standards-Version to 4.4.1 (no changes).
  * debian/libwpewebkit-1.0-3.symbols:
    + Update symbols.
  * debian/rules:
    + Use -DWTF_CPU_ARM64_CORTEXA53=OFF to fix the arm64 build.

 -- Alberto Garcia <berto@igalia.com>  Thu, 14 Nov 2019 15:09:07 +0200

wpewebkit (2.24.2-1) experimental; urgency=medium

  * Initial release (Closes: #930053)

 -- Alberto Garcia <berto@igalia.com>  Mon, 11 Nov 2019 16:39:51 +0200
