## wpewebkit 2.26.4

=== debian/changelog ===
wpewebkit (2.26.4-1) unstable; urgency=high

  * New upstream release.
  * The WPE WebKit security advisory WSA-2020-0002 lists the following
    security fixes in the latest versions of WPE WebKit:
    + CVE-2020-3862, CVE-2020-3864, CVE-2020-3865, CVE-2020-3867,
      CVE-2020-3868 (fixed in 2.26.4)
  * debian/patches/prefer-pthread.patch:
    + Enable THREADS_PREFER_PTHREAD_FLAG. This fixes a FTBFS in riscv64
  * debian/control:
    + Add branch name to the Vcs-Git field.
    + Update Standards-Version to 4.5.0 (no changes).
    + Make libwpewebkit-1.0-doc Multi-Arch: foreign.
  * debian/copyright:
    + Add Upstream-Contact.
  * Add debian/upstream/metadata.

 -- Alberto Garcia <berto@igalia.com>  Fri, 14 Feb 2020 16:04:27 +0100
