=== debian/control ===
--- 
+++ 
@@ -34,10 +34,10 @@
                ninja-build,
                ruby:native,
                wayland-protocols
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/webkit-team/webkit
-Vcs-Git: https://salsa.debian.org/webkit-team/webkit.git
+Vcs-Git: https://salsa.debian.org/webkit-team/webkit.git -b wpe/unstable
 Homepage: https://wpewebkit.org/
 
 Package: libwpewebkit-1.0-dev
@@ -103,6 +103,7 @@
 Package: libwpewebkit-1.0-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: devhelp
 Description: Web content engine for embedded devices - documentation
