=== debian/rules ===
--- 
+++ 
@@ -57,11 +57,11 @@
 	EXTRA_CMAKE_ARGUMENTS += -DENABLE_BUBBLEWRAP_SANDBOX=OFF
 endif
 
+%:
+	dh $@ --buildsystem=cmake+ninja
+
 override_dh_gencontrol:
 	dh_gencontrol -- $(DH_GENCONTROL_ARGS)
-
-%:
-	dh $@ --buildsystem=cmake+ninja
 
 override_dh_auto_configure:
 	CXXFLAGS="$(CFLAGS)" \
