## wpewebkit 2.28.1

=== debian/changelog ===
wpewebkit (2.28.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/use-python3.patch:
    + Drop patch, this is now upstream.

 -- Alberto Garcia <berto@igalia.com>  Mon, 13 Apr 2020 17:19:01 +0200

wpewebkit (2.28.0-1) unstable; urgency=high

  * New upstream release.
  * The WPE WebKit security advisory WSA-2020-0003 lists the following
    security fixes in the latest versions of WPE WebKit:
    + CVE-2020-10018 (fixed in 2.28.0).
  * Refresh all patches.
  * debian/gbp.conf:
    + Update upstream branch name.
  * debian/WebKitWebDriver.1:
    + Fix grammar.
  * debian/rules:
    + Use -mlra -fno-move-loop-invariants in sh3 and sh4 builds (thanks,
      Adrian Glaubitz).
    + Use jdupes to remove duplicate files in libwpewebkit-1.0-doc.
  * debian/source/lintian-overrides:
    + Update source-is-missing overrides.
  * debian/libwpewebkit-1.0-3.symbols:
    + Update symbols.
  * Update copyright information of all files.

 -- Alberto Garcia <berto@igalia.com>  Thu, 12 Mar 2020 21:58:05 +0100
