=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                cmake (>= 3.3),
                gperf,
                gtk-doc-tools,
+               jdupes,
                libatk-bridge2.0-dev,
                libatk1.0-dev,
                libcairo2-dev (>= 1.14.0),
