=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,14 @@
 # Disable Gold where it causes build problems, see #949618
 ifneq (,$(filter $(DEB_HOST_ARCH),powerpc))
 	EXTRA_CMAKE_ARGUMENTS += -DUSE_LD_GOLD=OFF
+endif
+
+# Enable the new register allocator on SH and
+# disable one particular optimization flag
+# See: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=93876
+# and: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=93877
+ifneq (,$(filter $(DEB_HOST_ARCH),sh3 sh4))
+        CPPFLAGS += -mlra -fno-move-loop-invariants
 endif
 
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
@@ -83,6 +91,7 @@
 	mkdir -p $(CURDIR)/debian/tmp/usr/share/gtk-doc/html/wpe-webextensions-1.0
 	touch $(CURDIR)/debian/tmp/usr/share/gtk-doc/html/wpe-webextensions-1.0/index.html
 	dh_install
+	jdupes -rl $(CURDIR)/debian/libwpewebkit-1.0-doc/usr
 
 override_dh_shlibdeps:
 	dh_shlibdeps -XMiniBrowser
