=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://wpewebkit.org/releases/ wpewebkit-(\d+\.\d*[02468]\.\d+).tar.xz
