## wpewebkit 2.28.2

=== debian/changelog ===
wpewebkit (2.28.2-1) unstable; urgency=high

  * New upstream release.
  * The WPE WebKit security advisory WSA-2020-0004 lists the following
    security fixes in the latest versions of WPE WebKit:
    + CVE-2020-11793 (fixed in 2.28.1).
  * debian/rules:
    + Don't set -Wall or -Wl,--as-needed, these are already used by
      default. Fixes the debian-rules-uses-as-needed-linker-flag lintian
      warning.
    + Include /usr/share/dpkg/buildflags.mk instead of setting the build
      flags manually.
  * debian/source/lintian-overrides:
    + Override mailing-list-obsolete-in-debian-infrastructure.

 -- Alberto Garcia <berto@igalia.com>  Fri, 24 Apr 2020 20:30:40 +0200
